Package org.springframework.dao

# Class ConcurrencyFailureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.TransientDataAccessException
org.springframework.dao.ConcurrencyFailureException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `OptimisticLockingFailureException`, `PessimisticLockingFailureException`

public class ConcurrencyFailureException extends TransientDataAccessException
Exception thrown on various data access concurrency failures.

This exception provides subclasses for specific types of failure, in particular optimistic locking versus pessimistic locking.

Since:
  1.1
Author:
  Thomas Risberg
See Also:
  - `OptimisticLockingFailureException`
  - `PessimisticLockingFailureException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConcurrencyFailureException(String msg)`
Constructor for ConcurrencyFailureException.
`ConcurrencyFailureException(String msg, Throwable cause)`
Constructor for ConcurrencyFailureException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConcurrencyFailureException

public ConcurrencyFailureException(@Nullable String msg)
Constructor for ConcurrencyFailureException.

Parameters:
  `msg` - the detail message

### ConcurrencyFailureException

public ConcurrencyFailureException(@Nullable String msg, @Nullable Throwable cause)
Constructor for ConcurrencyFailureException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the data access API in use